Name:          ukui-system-monitor
Version:       3.1.2
Release:       3
Summary:       Monitor for UKUI desktop environment
License:       GPL-3+ and GPL-2+
URL:           http://www.ukui.org
Source0:       %{name}-%{version}.tar.gz
Patch01:       0001-modify-version-is-pull.patch
Patch02:       0001-fix-compile-error-of-ukui-system-monitor.patch

BuildRequires: qt5-qtbase-devel >= 5.1
BuildRequires: qt5-qtsvg-devel
BuildRequires: qt5-qtscript-devel
BuildRequires: qt5-qttools-devel
BuildRequires: pkgconf
BuildRequires: glib2-devel >= 2.46.0
BuildRequires: libgtop2-devel
BuildRequires: kf5-kwindowsystem-devel
BuildRequires: systemd-devel >= 209
BuildRequires: gsettings-qt-devel
BuildRequires: qt5-qtx11extras-devel
BuildRequires: libpcap-devel
BuildRequires: ukui-interface
BuildRequires: qt5-qtcharts-devel
BuildRequires: qt5-qtcharts

Requires: libcap-devel
Requires: glib2-devel

%description
 UKUI system monitor allows you to graphically view and manipulate the
 running processes, It also provides an overview of the resources (such
 as CPU and memory) and File Systems on your system.

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
export PATH=%{_qt5_bindir}:$PATH
mkdir qmake-build
pushd qmake-build
%{qmake_qt5} ..
%{make_build} -j4
popd

%install
pushd qmake-build
%{make_install} INSTALL_ROOT=%{buildroot}
popd

%post
setcap "cap_net_admin,cap_net_raw+ep" /usr/bin/ukui-system-monitor &> /dev/null || :
set -e &> /dev/null || :
glib-compile-schemas /usr/share/glib-2.0/schemas/ &> /dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc debian/changelog debian/copyright
%{_bindir}/ukui-system-monitor
%{_datadir}/applications/ukui-system-monitor.desktop
%{_datadir}/icons/hicolor/*
%{_datadir}/glib-2.0/schemas/org.ukui.system-monitor.menu.gschema.xml
%{_datadir}/ukui/ukui-system-monitor.conf
%{_datadir}/kylin-user-guide/data/*
%{_datadir}/ukui-system-monitor/translations/*

%changelog
* Thu Mar 02 2023 peijiankang <peijiankang@kylinos.cn> - 3.1.2-3
- add file kylin-system-monitor for kylin-user-guide

* Tue Feb 07 2023 tanyulong <tanyulong@kylinos.cn> - 3.1.2-2
- Enable debuginfo for fix strip

* Mon Dec 5 2022 peijiankang <peijiankang@kylinos.cn> - 3.1.2-1
- update version to 3.1.2

* Fri Jul 29 2022 tanyulong<tanyulong@kylinos.cn> - 1.0.1-18
- Modify the Chinese translation of the Nice field

* Fri Jul 29 2022 tanyulong<tanyulong@kylinos.cn> - 1.0.1-17
- Adapt QT5.15 to add a fractional scaling property

* Wed Jun 29 2022 tanyulong<tanyulong@kylinos.cn> - 1.0.1-16
- add support Tibetan translation

* Wed Jun 29 2022 tanyulong<tanyulong@kylinos.cn> - 1.0.1-15
- desktop add Tibetan name and introduction

* Wed May 25 2022 tanyulong<tanyulong@kylinos.cn> - 1.0.1-14
- Improve the project according to the requirements of compliance improvement

* Tue Apr 19 2022 douyan <douyan@kylimos.cn> - 1.0.1-13
- fix first install post script issue

* Wed Dec 22 2021 pei-jiankang <peijiankang@kylimos.cn> - 1.0.1-12
- Update changelog

* Tue Dec 21 2021 pei-jiankang <peijiankang@kylimos.cn> - 1.0.1-11
- Fix the segmentfault without org.ukui.style

* Thu Dec 09 2021 douyan <douyan@kylimos.cn> - 1.0.1-10
- fix the bug about process and filesystem

* Tue Dec 07 2021 tanyulong <tanyulong@kylimos.cn> - 1.0.1-9
- Update modification record in changelog

* Tue Nov 09 2021 tanyulong <tanyulong@kylimos.cn> - 1.0.1-8
- Remove LICENSE which is same with COPYING

* Fri Nov 05 2021 tanyulong <tanyulong@kylimos.cn> - 1.0.1-7
- Update README.md

* Fri Nov 05 2021 tanyulong <tanyulong@kylimos.cn> - 1.0.1-6
- Add libglib2.0 bin to Depends

* Tue Nov 02 2021 tanyulong <tanyulong@kylinos.cn> - 1.0.1-5
- Fix the wrong maintainer and update changelog

* Thu Oct 28 2021 tanyulong <tanyulong@kylinos.cn> - 1.0.1-4
- add storage check 

* Wed Sep 1 2021 douyan <douyan@kylinos.cn> - 1.0.1-3
- hide idle rate

* Wed Dec 16 2020 lvhan <lvhan@kylinos.cn> - 1.0.1-2
- removes transparency

* Mon Oct 26 2020 douyan <douyan@kylinos.cn> - 1.0.1-1
- update to upstream version 1.0.0-1+1027

* Thu Jul 9 2020 douyan <douyan@kylinos.cn> - 0.1.1-1
- Init package for openEuler
